> ## Documentation Index
> Fetch the complete documentation index at: https://docs.numeral.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check

> Authenticated health check endpoint

Authenticated health check endpoint that returns status, environment, timestamp, and API version.

## Headers

**Authorization** `string` *required*

Bearer token authentication.

**X-API-Version** `string`

API version to use. Defaults to `2024-09-01` if not specified.

## Response

**status** `string`

Always `ok` for successful health checks.

**env** `string`

Environment indicator: `test` for testmode keys, `prod` for production keys.

**timestamp** `string`

Current ISO 8601 timestamp.

**api\_version** `string`

The API version being used.

```bash cURL theme={null}
curl https://api.numeralhq.com/tax/ping \
  -H "Authorization: Bearer sk_test_xxx" \
  -H "X-API-Version: 2026-11-01"
```

```json 200 - Success theme={null}
{
  "status": "ok",
  "env": "test",
  "timestamp": "2026-03-01T12:00:00.000Z",
  "api_version": "2026-11-01"
}
```


## OpenAPI

````yaml api-reference/v2026-11-01/openapi.json GET /tax/ping
openapi: 3.0.1
info:
  title: Numeral API
  description: >-
    API for sales tax calculations - Version 2026-11-01. This version adds a
    `note` to every tax jurisdiction row and an `effective_tax_rate` to
    calculations and platform calculation totals.
  license:
    name: MIT
  version: '2026-11-01'
servers:
  - url: https://api.numeralhq.com/
security:
  - bearerAuth: []
paths:
  /tax/ping:
    get:
      summary: Health Check
      description: Authenticated health check endpoint
      operationId: pingHealthCheck_v20261101
      parameters:
        - name: X-API-Version
          in: header
          required: false
          schema:
            type: string
            enum:
              - '2026-11-01'
      responses:
        '200':
          description: Successful health check response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PingResponse'
        '401':
          description: Authentication errors
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthError'
components:
  schemas:
    PingResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - ok
        env:
          type: string
          enum:
            - test
            - prod
        timestamp:
          type: string
          format: date-time
        api_version:
          type: string
    AuthError:
      type: object
      properties:
        code:
          type: integer
          example: 401
        type:
          type: string
          example: UNAUTHORIZED
        message:
          type: string
          example: Invalid or missing API key
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.